---
include:
  - project: shore/ci-templates
    file: templates/pre-commit.yml
  - project: shore/ci-templates
    file: templates/docker.yml
  - project: shore/ci-templates
    file: templates/notify.yml

stages:
  - test
  - build
  - deploy

build:
  extends: .docker-build-shore
  tags: [ns4.shore.co.il]

push:
  extends: .docker-push
  tags: [ns4.shore.co.il]
